use leptos::*;
use leptos_router::A;

#[component]
pub fn Title(
    href: String,
    #[prop[optional]]
    title: Option<String>
) -> impl IntoView {
    view! {
        <header>
            <A href=href>r"< Retour"</A>
            <h1>{title}</h1>
            <span></span>
        </header>
    }
}
